## org.apache.cassandra.service
Class AntiEntropyService.RequestCoordinator<R>

    java.lang.Object
      org.apache.cassandra.service.AntiEntropyService.RequestCoordinator<R>

Enclosing class:
  AntiEntropyService

    public abstract static class AntiEntropyService.RequestCoordinator<R>

extends java.lang.Object

Constructor Summary
`protected` `AntiEntropyService.RequestCoordinator(boolean isSequential)`

Method Summary
`void` `add(R request)`
`int` `completed(R request)`
`abstract void` `send(R request)`
`void` `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntiEntropyService.RequestCoordinator

    protected AntiEntropyService.RequestCoordinator(boolean isSequential)

Method Detail

### send

    public abstract void send(R request)

### add

    public void add(R request)

### start

    public void start()

### completed

    public int completed(R request)

Copyright © 2013 The Apache Software Foundation